Name: kernel-pcmcia-cs
%define pcmciaver 3.1.23
Version: %{pcmciaver}
Release: 0.4
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System Environment/Kernel
Obsoletes: pcmcia-cs
Copyright: GPL
ExclusiveArch: i386
Epoch: 1
BuildRoot: /var/tmp/kernel-pcmcia-cs-root
Source0: ftp://projects.sourceforge.net/pub/pcmcia-cs/pcmcia-cs-%{pcmciaver}.tar.gz
Source1: pcmcia-cs-2.8.8-network.script
Patch0: pcmcia-cs-3.1.18-script.patch
Patch1: pcmcia-cs-3.1.18-config.patch
Patch2: pcmcia-cs-3.1.23-modconfig.patch
Patch3: pcmcia-cs-3.1.23-rctrans.patch
Requires: kernel >= 2.4.0, chkconfig

%description
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are
small cards for everything from SCSI support to modems. PCMCIA cards
are hot swappable (i.e., they can be exchanged without rebooting the
system) and quite convenient to use. The kernel-pcmcia-cs package
contains a set of loadable kernel modules that implement an
applications program interface, a set of client drivers for specific
cards and a card manager daemon that can respond to card insertion and
removal events by loading and unloading drivers on demand.  The daemon
also supports hot swapping, so that the cards can be safely inserted
and ejected at any time.


%prep
%setup -n pcmcia-cs-%{version} -q
%patch0 -p1 -b .script
%patch1 -p2 -b .config
%patch2 -p1 -b .modconfig
%patch3 -p1 -b .rctrans

%build

./Configure -n --kernel=/usr/src/linux-2.4 \
	--target=$RPM_BUILD_ROOT --trust --cardbus --nopnp --srctree \
	--moddir=/lib/modules/1.1.1 --sysv --rcdir=/etc/rc.d 

perl -pi -e 's/\/usr\/man/'`echo %{_mandir} | sed 's_/_\\\\/_g'`/ man/Makefile

make all

%install
make install

install -m755 $RPM_SOURCE_DIR/pcmcia-cs-2.8.8-network.script \
        $RPM_BUILD_ROOT/etc/pcmcia/network

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=do_scan=0
CORE_OPTS=
CARDMGR_OPTS=-f
EOF

# Finally strip some binaries
for file in cardmgr cardctl probe scsi_info ftl_format ftl_check ; do
    strip -R .comment $RPM_BUILD_ROOT/sbin/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pcmcia

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%changelog
* Tue Jan 23 2001 Erik Troan <ewt@redhat.com>
- switched to echo $"string" for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- switched to gprintf for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- changed xircom_tulip to xircom_tulip_cb in /etc/pcmcia/config

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.1.23

* Mon Jan 08 2001 Erik Troan <ewt@redhat.com>
- split kernel-pcmcia-cs into separate package as all of the pcmcia modules
  are from the main kernel now, and this just contributes cardmgr and config
  stuff

%files
%defattr(-,root,root)
%doc doc/PCMCIA-HOWTO 
%doc doc/PCMCIA-PROG
%doc SUPPORTED.CARDS 
%doc CHANGES 
%doc COPYING 
%doc README
/sbin/probe
/sbin/cardmgr
/sbin/cardctl
/sbin/ifport
/sbin/ifuser
/sbin/scsi_info
/sbin/ide_info
/sbin/pcinitrd
/sbin/ftl_format
/sbin/ftl_check
/sbin/dump_cis
/sbin/pack_cis
%{_mandir}/man[45]/*
%{_mandir}/man8/[a-c]*
%{_mandir}/man8/dump_cis.8*
%{_mandir}/man8/[e-j]*
%{_mandir}/man8/[l-z]*
/etc/pcmcia/cis
%dir /etc/pcmcia
%config /etc/pcmcia/config
%config /etc/pcmcia/config.opts
/etc/pcmcia/ftl
%config /etc/pcmcia/ftl.opts
/etc/pcmcia/ide
%config /etc/pcmcia/ide.opts
/etc/pcmcia/memory
%config /etc/pcmcia/memory.opts
/etc/pcmcia/network
/etc/pcmcia/parport
%config /etc/pcmcia/parport.opts
/etc/pcmcia/scsi
%config /etc/pcmcia/scsi.opts
/etc/pcmcia/serial
%config /etc/pcmcia/serial.opts
/etc/pcmcia/wireless
%config /etc/pcmcia/wireless.opts
/etc/pcmcia/shared
%config /etc/rc.d/init.d/pcmcia
%dir /var/lib/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
